# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require 'pgm'
require 'date'

Gem::Specification.new do |s|
  s.name          = 'pgm'
  s.version       = PGM::VERSION
  s.date          = Date.today.strftime('%Y-%m-%d')
  s.platform      = Gem::Platform::RUBY

  s.summary       = "A ruby library for probabilistic graphical model"
  s.description   = "A ruby library for probabilistic graphical model"
  s.authors       = ["Natapol Pornputtapong"]
  s.email         = ['natapol.por@gmail.com']

  s.homepage      = 'http://rubygems.org/gems/pgm'
  s.licenses      = ['GPL-3.0']

#    s.rubyforge_project = "neography"

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ['lib']
  s.bindir        = 'bin'

  s.add_dependency "rgl", "~> 0.5"
  s.add_dependency "narray", "~> 0.6"
#    s.add_dependency "bson_ext", "~> 1.9"
#    s.add_dependency "rdf", "~> 1.1"


  s.add_development_dependency "rspec", ">= 3.4"

    #### Documentation and testing.

  s.has_rdoc = true
  s.extra_rdoc_files = ['README.md']
  s.rdoc_options += [
    '--title', 'PGM - Probabilistic Graphical Model Library',
    '--main', 'README.md',
    '--line-numbers'
  ]

end
